Skip to main content

Trigger a manual sync on an integration.

POSThttps://api.propexo.com/v1/admin/integrations/:integration_id/manual-sync

A manual sync operation overrides the configured sync schedule for an integration. This operation is typically used during testing phases but may be executed at any time as needed. However, frequent use of manual syncs is not recommended. For questions regarding sync operations, contact Propexo Support.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

integration_id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    sync_config_idstring

    The Propexo unique identifier for a sync configuration

    models_to_syncstring[]

    A list of the specific models to sync. This will only ingest the models specified during the sync and any relational models. For example, requesting "residents" and "leases" will also query their relational data. This can be used for times when only a limited amount of data would like to be synced. If you'd like this as part of your scheduled syncs, please contact Propexo support.

    Show 75 enum values
    accounting_entitiesaddress_typesamenitiesap_codesapplicant_petsapplicantsapplication_statusesapplicationscall_logscharge_codescharge_code_typescharge_timingsconcessionsconstruction_jobscontractsdeposit_summariesdepositsemployeesevent_resultsevent_sub_typesevent_typeseventsfeesfile_typesfinancial_accountsfloor_plansinventory_itemsinvoice_itemsinvoiceslead_petslead_relationshipslead_sourcesleadslease_serviceslease_transfersleaseslistingslocationsnote_categoriesownerspayable_registerspet_typespropertiesproperty_listsproperty_office_hourspurchase_ordersrecurring_resident_chargesrentable_item_assignmentsrentable_itemsresident_allocationsresident_chargesresident_insuranceresident_paymentsresident_petsresident_vehiclesresidentsscreeningsservice_request_categoriesservice_request_locationsservice_request_notesservice_request_prioritiesservice_request_problemsservice_request_statusesservice_request_vendor_categoriesservice_request_vendor_contactsservice_request_vendorsservice_request_vendors_insuranceservice_requeststimezonesunit_detailsunit_pricingunitsvendor_insurance_coverage_typesvendor_insurance_policy_typesvendor_payment_types

Response​

Successful response

    result objectrequired
    successbooleanrequired

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/admin/integrations/:integration_id/manual-sync
curl -X POST https://api.propexo.com/v1/admin/integrations/:integration_id/manual-sync \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"sync_config_id": "string",
"models_to_sync": [
"accounting_entities"
]
}'
200 Successful response
{
"result": {
"success": true
}
}